## mingw-w64-libnpupnp-6.1.3-1.src.tar.zst

=== doc/Makefile ===
.SUFFIXES: .txt .html


.txt.html:
	asciidoctor -b html5 -a toc=left -a stylesheet=clean.css -o $@ $<

HTML = $(patsubst %.txt,%.html,$(wildcard *.txt))

DOXINDEX = refdoc/html/index.html
all: $(HTML) $(DOXINDEX)

$(DOXINDEX) : npupnp.dox ../inc/upnp.h ../inc/upnpdebug.h
	doxygen Doxyfile

clean:
	rm -f $(HTML)

=== PKGBUILD ===
# Contributor: Rosen Penev <rosenp@gmail.com>

_realname=libnpupnp
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=6.1.3
pkgrel=1
pkgdesc="A C++ base UPnP library, derived from Portable UPnP, a.k.a libupnp (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.lesbonscomptes.com/upmpdcli/'
msys2_repository_url="https://framagit.org/medoc92/npupnp"
msys2_references=(
  "cpe: cpe:2.3:a:npupnp_project:npupnp"
)
license=('spdx:BSD-3-Clause')
depends=(
  "${MINGW_PACKAGE_PREFIX}-curl"
  "${MINGW_PACKAGE_PREFIX}-expat"
  "${MINGW_PACKAGE_PREFIX}-gcc-libs"
  "${MINGW_PACKAGE_PREFIX}-libmicrohttpd"
  "${MINGW_PACKAGE_PREFIX}-libwinpthread"
)
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-cc"
  "${MINGW_PACKAGE_PREFIX}-meson"
  "${MINGW_PACKAGE_PREFIX}-ninja"
  "${MINGW_PACKAGE_PREFIX}-pkgconf"
)
source=("https://www.lesbonscomptes.com/upmpdcli/downloads/${_realname}-${pkgver}.tar.gz")
sha256sums=('80c3d5adc388e59057be52c4c33d7708efe05318487c09e342e7a1f4a83aa792')

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  declare -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("--buildtype=release")
  else
    _extra_config+=("--buildtype=debug")
  fi

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/meson setup \
      --prefix="${MINGW_PREFIX}" \
      --wrap-mode=nodownload \
      --auto-features=enabled \
      "${_extra_config[@]}" \
      ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/meson compile
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"

  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/meson install

  install -Dm644 "${srcdir}/${_realname}-${pkgver}/COPYING" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/COPYING"
}
